Bug 108240 - Selection box hides borders (unlike Excel)
Summary: Selection box hides borders (unlike Excel)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Selection
  Show dependency treegraph
 
Reported: 2017-05-30 09:08 UTC by Kevin
Modified: 2023-11-18 10:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
spreadsheet to demonstrate 108240 (7.84 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-05-30 09:09 UTC, Kevin
Details
screenshot of multi-cell selection in Numbers 13.1 (7037.0.101) (8.21 KB, image/png)
2023-07-11 12:41 UTC, Stéphane Guillou (stragu)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin 2017-05-30 09:08:00 UTC
Description:
The cell selection box hides borders, making it hard to know what needs editing.

Steps to Reproduce:
1. open attached spreadsheet
2. click on Cell E6 to select it
3. repeat in Microsoft Excel 2010

Actual Results:  
Calc's selection box hides the cell borders; Excel's selection box changes intelligently so that the user can always see all the attributes of the cell selected for editing.

Expected Results:
First, do no harm. Calc should always be at least as user-friendly as Excel. It's not a very high bar.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36
Comment 1 Kevin 2017-05-30 09:09:12 UTC
Created attachment 133720 [details]
spreadsheet to demonstrate 108240
Comment 2 Cor Nouws 2017-05-30 09:32:25 UTC
Hi Kevin,

thanks, confirm this in Version: 5.5.0.0.alpha0+
Build ID: ec79f3453471ee9b6ae32e71ff16ea99d9b7751c
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-28_23:18:29
Locale: nl-NL (nl_NL.UTF-8); Calc: group

The color of the selection lines adapts a bit (to some dark gray) in 3.3.0

I bet there will be variations on OS, graphic drivers etc..
Comment 3 Kevin 2017-05-30 10:08:07 UTC
(In reply to Cor Nouws from comment #2)

> thanks, confirm this in Version: 5.5.0.0.alpha0+

I was only able to find 5.4.0.0.alpha1 - can you give me a link to 5.5.0.0.alpha0+?
Comment 4 Kevin 2017-05-30 10:11:19 UTC
On the same topic, underscores are also obscured by the selection box (and there's a bug that I can't pin down that involves underscoring and superscripting suddenly being applied to characters that shouldn't have underscores.
Comment 5 Kevin 2017-05-30 10:16:23 UTC
I installed 5.4.0.0 in hopes that this is the version you meant, but the bug (and ALL my other bugs!) are still present in that version.
Comment 6 Cor Nouws 2017-05-30 10:19:02 UTC
(In reply to Kevin from comment #3)
> I was only able to find 5.4.0.0.alpha1 - can you give me a link to
> 5.5.0.0.alpha0+?

sure: http://dev-builds.libreoffice.org/daily/master/

(In reply to Kevin from comment #5)
> I installed 5.4.0.0 in hopes that this is the version you meant, but the bug
> (and ALL my other bugs!) are still present in that version.

As far as I know, it's not that a newer version magically solves all bugs and so :p
Comment 7 Cor Nouws 2017-05-30 10:19:28 UTC
(In reply to Kevin from comment #4)
> On the same topic, underscores are also obscured by the selection box (and
> there's a bug that I can't pin down that involves underscoring and
> superscripting suddenly being applied to characters that shouldn't have
> underscores.

Possibly different bugs..
Comment 8 Kevin 2017-05-30 21:59:50 UTC
> sure: http://dev-builds.libreoffice.org/daily/master/
 
Which one is right for Windows 7? There are quite a few files labeled 5-30. I'm not an engineer and have no idea what the abbreviations on these nightly builds mean. I was a professional tester for 15 years (I have no technical training whatsoever but they kept me around because I'm very good at finding bugs) and I use only the formatting part of Calc exclusively, full time, 7 days a week, and am passionately interested in improving it (and miserably unhappy about its current state - if you could see me toiling away at this program, working around the same cripping bugs over and over and over I think you'd feel a greater sense of urgency about the formatting aspects of this program. From my perspective, the house is on fire and all you guys are doing is measuring for new drapes).
Comment 9 Cor Nouws 2017-08-11 20:57:08 UTC
(In reply to Kevin from comment #8)
> > sure: http://dev-builds.libreoffice.org/daily/master/
>  
> Which one is right for Windows 7? There are quite a few files labeled 5-30.

If its 64 bits, take this one 
  http://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/current/
( 32 bits is not available at the moment
  http://dev-builds.libreoffice.org/daily/master/Win-x86@62-TDF/current  )
Comment 10 QA Administrators 2018-09-03 02:42:44 UTC Comment hidden (obsolete)
Comment 11 Thomas Lendo 2018-09-14 09:54:47 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 18c5089df091bddeb8c2dc339776671964389040
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-12_23:24:12
Locale: de-AT (de_AT); Calc: CL

I change version to 'Inherited from OOo' because I see no difference to

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 12 Buovjaga 2019-04-14 19:26:36 UTC
Shouldn't this be closed as dupe of bug 87289? If not, please explain why.
Comment 13 QA Administrators 2021-04-14 03:37:22 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2023-04-15 03:27:04 UTC Comment hidden (obsolete)
Comment 15 Stéphane Guillou (stragu) 2023-07-10 09:50:38 UTC
(In reply to Buovjaga from comment #12)
> Shouldn't this be closed as dupe of bug 87289? If not, please explain why.

I'm a bit unsure about this one. I was going to close as dupe of bug 142121, but reading the description, I understand this is about the active cell frame hiding the white border on the left of cell E6?
If that's the case, it is reproducible in a recent 24.2 master build, but MS Office.com has the same issue: that white border is not visible when the cell is active.

I think that's expected

Related:
- bug 143733, resolved in 7.4, in which the frame scales with the zoom level
- bug 147388 to cover the whole border

(In reply to Cor Nouws from comment #2)
> The color of the selection lines adapts a bit (to some dark gray) in 3.3.0

I think that's incorrect, I think you saw that classic optical illusion related to contrast.
I just colorpicked the frame in OOo 3.3 and in both cases it's #5c5c5c.
Comment 16 Stéphane Guillou (stragu) 2023-07-10 15:26:25 UTC
Cor had changed the summary to "Selection line around one cell invisible when cell has a black background color", which is fixed in 7.4 and other recent OS-specific changes (see bug 142121).

I'm changing it back to the original "Selection box hides borders (unlike Excel) ".

Now, this request contradicts bug 147388, which asks for the active cell cursor / frame to adapt to the border thickness so it always covers it entirely.

Will ask for Design/UX input in the other report.
Comment 17 Stéphane Guillou (stragu) 2023-07-11 12:41:35 UTC
Created attachment 188313 [details]
screenshot of multi-cell selection in Numbers 13.1 (7037.0.101)

As mentioned in bug 147388 comment 8, Apple's Numbers could inspire a solution. It expands the selection / active cell cursor (no distinction in that app) to draw an outline around the borders (which means that a multi-cell selection can result in a something less regular than a rectangle).

See attachment 188308 [details] for a single-cell selection.